function alpha = e_step(X, f, b, sigma, Pd, n)
%
%  given the current esitmate of the parameters, for each image Xk,
%  esitmate the probability of the displacement of the villain's
%  face given image Xk. 
%
%  Input parameters:
%
%   X       ... H x W x n matrix, n images that contain the villain
%   f      ... H x w matrix, estimate of villain's face
%   b      ... 1 x 1 double, estimate of background
%   sigma  ... 1 x 1 sigma, estimate of VARIANCE of Gaussian noise
%   Pd     ... W-w+1 x 1 vector, prior on displacement of
%                  villain's face
%   n      ... use first n images for estimation
% 
% Output parameters:
%   alpha  ... W-w+1 x n, posterior of displacement of villain's
%                  face given image Xk. This is a column stochastic array.
w = 36;
H = size(X,1);
W = size(X,2);
n = H*W;
dmax = W-w+1;

% preallocate space for posterior of displacements and background 

% iterate over all images
for k = 1:m
    % iterate over all possible displacements
    for d = 1:D
    end
end