function Pxd = get_Pxd(X, f, b, sigma, d)
% Estimate the probability that image X was observed given that the villain's
% face is at displacement d.
%
% Input parameters:
%
%   X     ... H x W, an image that contains the villain
%   f      ... H x w matrix, estimate of villain's face
%   b      ... 1 x 1 double, estimate of background
%   sigma  ... 1 x 1 sigma, estimate of VARIANCE of Gaussian noise
%   d      ... displacement of villain's face relative to left side
%              of the image X
%
% Output parameters:
%   
%   Pxd    ... probability of observing image X given that the
%              villain's face F is located at displacement d
%