function [f, b, sigma, Pd] = m_step(X, alpha, f, b, sigma)
% 
%  maximizes f,b,sigma given esitmate of posteriors defined by alpha
%
% Input parameters:
%   X      ... H x W x n matrix, m images that contain the villain
%   alpha  ... W-w+1 x n, posterior of displacement of villain's
%   f      ... H x w matrix, estimate of villain's face
%   b      ... 1 x 1 double, estimate of background
%   sigma  ... 1 x 1 sigma, estimate of standard deviation of noise

% Output parameters:
%   f      ... H x w matrix, estimate of villain's face
%   b      ... 1 x 1 double, estimate of background color
%   sigma  ... 1 x 1 sigma, estimate of standard deviation of noise
%   Pd     ... W-w+1 x 1 vector, current prior on displacement of
%                  villain's face in each image